### Name: BoxCox.FitAR
### Title: Box-Cox Analysis for "FitAR" Objects
### Aliases: BoxCox.FitAR
### Keywords: ts

### ** Examples

#lynx time series. ARp subset model.
out<-FitARLS(lynx, c(1,2,4,10,11))
BoxCox(out)
#
#sunspots. ARz subset model.
z<-sunspot.year+0.25
p<-SelectModel(z, SubsetModel="z", lag.max=25, Best=1)
out<-FitAR(z, p)
BoxCox(out)
#
#compare with AR(10)
z<-sunspot.year+0.25
out<-FitAR(z, 10)
BoxCox(out)
#
#Back transform after fitting model to log(lynx)
p<-SelectModel(log(lynx),SubsetModel="z",Best=1)
ans<-FitAR(log(lynx), p)
BoxCox(ans, InitLambda=0)
#
#again with ARp subset model
p<-SelectModel(log(lynx),SubsetModel="p",Best=1)
ans<-FitARLS(log(lynx), p)
BoxCox(ans, InitLambda=0)



