### Name: FitAR
### Title: Exact MLE for AR(p) and Subset AR
### Aliases: FitAR
### Keywords: ts

### ** Examples

#First Example: Fit exact MLE to AR(4) using FitAR and arima
set.seed(3323)
phi<-c(2.7607,-3.8106,2.6535,-0.9238)
z<-SimulateGaussianAR(phi,1000)
ans1<-arima(z, order=c(4,0,0))
ans2<-FitAR(z,4,MeanMLEQ=TRUE)
ans1
coef(ans2)

#Second Example: compare with sample mean result
ans3<-FitAR(z,4)
coef(ans3)

#Third Example: Fit subset AR model to lynx series
z<-log(lynx)
FitAR(z, c(1,2,4,7,10,11))
#now obain exact MLE for Mean as well
FitAR(z, c(1,2,4,7,10,11), MeanMLE=TRUE)

#Fourth Example: Some Timings
t1<-system.time(ans1<-ar(sunspot.month, order.max=25, aic=FALSE, method="mle"))[[1]]
t2<-system.time(ans2<-FitAR(sunspot.month, 25))[[1]]
#uncomment lines below to run full examples but it takes about
# 4 minutes on a 3.6GHz PC
#
#t3<-system.time(ans3<-FitAR(sunspot.month, 25, MeanMLE=TRUE))[[1]]
#times<-c(t1,t2,t3)
#names(times)<-c("ar","FitAR", "FitAR-MeanMLE")




