### Name: SelectModel
### Title: Select Best AR, ARz or ARp Model
### Aliases: SelectModel
### Keywords: ts

### ** Examples

#Example 1: Find an ARp subset model for lynx data using BIC
z<-log(lynx)
out<-SelectModel(z, SubsetModel="p", Criterion="BIC", Best=5)
plot(out)
#
#Example 2: Find an ARz subset model for lynx data using BIC
out<-SelectModel(z, SubsetModel="z", Criterion="BIC", Best=5)
plot(out)
#
#Example 3: Select an AR(p) model
out<-SelectModel(z, Criterion="BIC", Best=5)
out
plot(out)
#
#Example 4: Fit subset models to lynx series
z<-log(lynx)
#requires library leaps. Should be automatically when FitAR package is loaded.
pvec <- SelectModel(z, lag.max=11, SubsetModel="p", Criterion="AIC", Best=1)
ans1 <- FitARLS(z, pvec)
pvec <- SelectModel(z, lag.max=11, SubsetModel="z", Criterion="AIC", Best=1)
ans2<-FitAR(z, pvec)
summary(ans1)
summary(ans2)



